From b0e633ec2f76747b7e9a2e27a8f90115a6503a09 Mon Sep 17 00:00:00 2001
From: Pankaj Yadav <pk@videolan.org>
Date: Mon, 10 Jan 2011 16:48:39 +0530
Subject: [PATCH 4/4] Symbian libc's(called PIPS) asprintf is crappy..but we are lucky that its glibc's one is perfect

---
 compat/asprintf.c    |   13 +++++++++++++
 include/vlc_fixups.h |    6 ++++++
 2 files changed, 19 insertions(+), 0 deletions(-)

diff --git a/compat/asprintf.c b/compat/asprintf.c
index a790be3..4b8693f 100644
--- a/compat/asprintf.c
+++ b/compat/asprintf.c
@@ -25,6 +25,7 @@
 #include <stdio.h>
 #include <stdarg.h>
 
+#if !defined(__SYMBIAN32__)
 int asprintf (char **strp, const char *fmt, ...)
 {
     va_list ap;
@@ -35,3 +36,15 @@ int asprintf (char **strp, const char *fmt, ...)
     va_end (ap);
     return ret;
 }
+#else
+int symbian_asprintf (char **strp, const char *fmt, ...)
+{
+    va_list ap;
+    int ret;
+
+    va_start (ap, fmt);
+    ret = g_vasprintf (strp, fmt, ap);
+    va_end (ap);
+    return ret;
+}
+#endif
diff --git a/include/vlc_fixups.h b/include/vlc_fixups.h
index ef37367..c84c3a8 100644
--- a/include/vlc_fixups.h
+++ b/include/vlc_fixups.h
@@ -26,6 +26,12 @@
 #ifndef LIBVLC_FIXUPS_H
 # define LIBVLC_FIXUPS_H 1
 
+#if defined(__SYMBIAN32__)
+#include <glib/gprintf.h>
+#define asprintf symbian_asprintf
+int symbian_asprintf (char **strp, const char *fmt, ...);
+#endif
+
 #if !defined (HAVE_GMTIME_R) || !defined (HAVE_LOCALTIME_R)
 # include <time.h> /* time_t */
 #endif
-- 
1.7.1

